# Example: QueryModel
---
value:
  _type: Query
  id: 9
  name: abcdefg
  createdAt: '2015-03-20T12:56:56.235Z'
  updatedAt: '2015-05-20T18:16:53.976Z'
  filters:
    - _type: StatusQueryFilter
      name: Status
      _links:
        filter:
          href: "/api/v3/queries/filters/status"
          title: Status
        operator:
          href: "/api/v3/queries/operators/o"
          title: open
        schema:
          href: "/api/v3/queries/filter_instance_schemas/status"
        values: []
    - _type: DueDateQueryFilter
      name: Finish date
      values:
        - '1'
      _links:
        filter:
          href: "/api/v3/queries/filters/dueDate"
          title: Finish date
        operator:
          href: "/api/v3/queries/operators/<t+"
          title: in less than
        schema:
          href: "/api/v3/queries/filter_instance_schemas/dueDate"
  public: false
  sums: false
  starred: false
  hidden: false
  timestamps: ["PT0S"]
  projections:
    - _type: QueryProjection::Table
      showHierarchies: true
      _links:
        columns:
          - href: "/api/v3/queries/columns/id"
            title: ID
          - href: "/api/v3/queries/columns/subject"
            title: Subject
          - href: "/api/v3/queries/columns/type"
            title: Type
          - href: "/api/v3/queries/columns/status"
            title: Status
          - href: "/api/v3/queries/columns/priority"
            title: Priority
          - href: "/api/v3/queries/columns/assignee"
            title: Assignee
          - href: "/api/v3/queries/columns/updated_at"
            title: Updated on
        highlightedAttributes: []
    - _type: QueryProjection::Gantt
      labels: {}
      zoomLevel: "auto"
      _links:
        highlightedAttributes: []
    - _type: QueryProjection::TeamPlanner
      _links:
        rows:
          - href: "/api/v3/users/1"
            title: "Alan Touring"
          - href: "/api/v3/users/5"
            title: "John von Neumann"
    - _type: QueryProjection::Calendar
  _embedded:
    results:
      _type: WorkPackageCollection
      total: 234
      count: 30
      pageSize: 30
      offset: 1
      _embedded:
        elements:
          - "<--- shortened for brevity --->"
      _links:
        self:
          href: "/api/v3/projects/3/work_packages?filters=%5B%7B%22status%22%3A%7B%22operator%22%3A%22o%22%2C%22values%22%3A%5B%5D%7D%7D%2C%7B%22dueDate%22%3A%7B%22operator%22%3A%22%3Ct%2B%22%2C%22values%22%3A%5B%221%22%5D%7D%7D%5D&offset=1&pageSize=2&sortBy=%5B%5B%22parent%22%2C%22desc%22%5D%5D"
        jumpTo:
          href: "/api/v3/projects/3/work_packages?filters=%5B%7B%22status%22%3A%7B%22operator%22%3A%22o%22%2C%22values%22%3A%5B%5D%7D%7D%2C%7B%22dueDate%22%3A%7B%22operator%22%3A%22%3Ct%2B%22%2C%22values%22%3A%5B%221%22%5D%7D%7D%5D&offset=%7Boffset%7D&pageSize=2&sortBy=%5B%5B%22parent%22%2C%22desc%22%5D%5D"
          templated: true
        changeSize:
          href: "/api/v3/projects/3/work_packages?filters=%5B%7B%22status%22%3A%7B%22operator%22%3A%22o%22%2C%22values%22%3A%5B%5D%7D%7D%2C%7B%22dueDate%22%3A%7B%22operator%22%3A%22%3Ct%2B%22%2C%22values%22%3A%5B%221%22%5D%7D%7D%5D&offset=1&pageSize=%7Bsize%7D&sortBy=%5B%5B%22parent%22%2C%22desc%22%5D%5D"
          templated: true
        createWorkPackage:
          href: "/api/v3/work_packages/form"
          method: post
        createWorkPackageImmediate:
          href: "/api/v3/work_packages"
          method: post
  _links:
    self:
      href: "/api/v3/queries/9"
      title: abcdefg
    results:
      href: "/api/v3/projects/3/work_packages?filters=%5B%7B%22status%22%3A%7B%22operator%22%3A%22o%22%2C%22values%22%3A%5B%5D%7D%7D%2C%7B%22dueDate%22%3A%7B%22operator%22%3A%22%3Ct%2B%22%2C%22values%22%3A%5B%221%22%5D%7D%7D%5D&offset=1&pageSize=2&sortBy=%5B%5B%22parent%22%2C%22desc%22%5D%5D"
    groupBy:
      href:
      title:
    sortBy:
      - href: "/api/v3/queries/sort_bys/parent-desc"
        title: Parent (Descending)
    user:
      href: "/api/v3/users/1"
      title: Nepenthes Admin
    project:
      href: "/api/v3/projects/3"
      title: copy
